Package org.springframework.context.aot

# Interface AotApplicationContextInitializer<C extends ConfigurableApplicationContext>

Type Parameters:
  `C` - the application context type

All Superinterfaces:
  `ApplicationContextInitializer<C>`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface AotApplicationContextInitializer<C extends ConfigurableApplicationContext> extends ApplicationContextInitializer<C>
Specialized `ApplicationContextInitializer` used to initialize a `ConfigurableApplicationContext` using artifacts that were generated ahead-of-time.

Instances of this initializer are usually created using `forInitializerClasses(String...)`, passing in the names of code generated initializer classes.

Since:
  6.0
Author:
  Stephane Nicoll, Phillip Webb

## Method Summary

Static Methods
Modifier and Type
Method
Description
`static <C extends ConfigurableApplicationContext>
AotApplicationContextInitializer<C>`
`forInitializerClasses(String... initializerClassNames)`
Factory method to create a new `AotApplicationContextInitializer` instance that delegates to other initializers loaded from the given set of class names.
`static <C extends ConfigurableApplicationContext>
ApplicationContextInitializer<C>`
`instantiateInitializer(String initializerClassName, ClassLoader classLoader)`

### Methods inherited from interface org.springframework.context.ApplicationContextInitializer

`initialize`

## Method Details

### forInitializerClasses

static <C extends ConfigurableApplicationContext> AotApplicationContextInitializer<C> forInitializerClasses(String... initializerClassNames)
Factory method to create a new `AotApplicationContextInitializer` instance that delegates to other initializers loaded from the given set of class names.

Type Parameters:
  `C` - the application context type
Parameters:
  `initializerClassNames` - the class names of the initializers to load
Returns:
  a new `AotApplicationContextInitializer` instance

### instantiateInitializer

static <C extends ConfigurableApplicationContext> ApplicationContextInitializer<C> instantiateInitializer(String initializerClassName, @Nullable ClassLoader classLoader)